@media (min-width:701px) {
  .contact-intro p {
    max-width: 650px;
    font-size: clamp(.94rem, 1.18vw, 1.12rem);
  }
}

.contact-form {
  margin-top: 7rem;
}

.contact-form-heading {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1.4rem;
}

.contact-details {
  align-self: flex-end;
  width: min(100%, 650px);
}

.contact-details .contact-mail {
  display: inline-block;
}

@media (max-width:700px) {
  .contact-form {
    margin-top: 5rem;
  }

  .contact-form-heading {
    display: block;
  }

  .contact-details {
    align-self: stretch;
    width: 100%;
  }
}
